# TransactionAndMetadata | xrpl
Documentation for xrpl

# Interface TransactionAndMetadata

#### Hierarchy

- TransactionAndMetadata

- Defined in packages/xrpl/src/models/transactions/transaction.ts:143

#####
Index

### Properties

metadata
transaction

## Properties

### metadata

metadata: TransactionMetadata

- Defined in packages/xrpl/src/models/transactions/transaction.ts:145

### transaction

transaction: Transaction

- Defined in packages/xrpl/src/models/transactions/transaction.ts:144

Generated using TypeDoc